Bug 167769 - fs.sh doesn't do level 20 checking
fs.sh doesn't do level 20 checking
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanko Kupcevic
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-07 18:05 EDT by Lon Hohberger
Modified: 2009-04-16 16:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: U3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 13:34:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Implements monitor action for fs.sh (1.92 KB, patch)
2005-09-08 16:04 EDT, Stanko Kupcevic
no flags Details | Diff
Implements monitor action for fs.sh (3.27 KB, patch)
2005-09-09 14:36 EDT, Stanko Kupcevic
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2005-09-07 18:05:50 EDT
Description of problem:

The fs.sh script doesn't do a OCF_CHECK_LEVEL 20 check.  In the metadata, the
comment says it's supposed to try to write to the file system (probably a hidden
file...) if the file system is not mounted read-only.

Furthermore, this check should occur more than every 10 minutes.  Perhaps every
60 seconds is a better interval.

This part of the check is supposed to be used to determine whether or not we can
actually write to the file system in question.  This, in turn, can be used to
detect block device errors/failures and/or dead links in non-multipath environments.

Without this check, the file system will sit mounted forever -- even if the
device holding the FS has gone away.
Comment 1 Stanko Kupcevic 2005-09-08 14:44:09 EDT
fs.sh also doesn't do a read check on read-only filesystems, although metadata
says it should.
Comment 2 Stanko Kupcevic 2005-09-08 16:04:04 EDT
Created attachment 118606 [details]
Implements monitor action for fs.sh

Patch attached
Comment 3 Stanko Kupcevic 2005-09-09 14:36:08 EDT
Created attachment 118657 [details]
Implements monitor action for fs.sh

New version
Comment 4 Stanko Kupcevic 2005-09-12 13:48:22 EDT
Fix in CVS, setting to modified

Note You need to log in before you can comment on or make changes to this bug.